package domain


type AlibabaWdkOldposOrderCreatePosOrderCreateResult struct {
    /*
        结果msg     */
    ReturnMsg  *string `json:"return_msg,omitempty" `

    /*
        结果码     */
    ReturnCode  *string `json:"return_code,omitempty" `

    /*
        success     */
    Success  *bool `json:"success,omitempty" `

    /*
        mainOrderId     */
    MainOrderId  *int64 `json:"main_order_id,omitempty" `

    /*
        outOrderId     */
    OutOrderId  *string `json:"out_order_id,omitempty" `

    /*
        subOrderDOList     */
    SubOrderDOList  *[]AlibabaWdkOldposOrderCreatePosSubOrderResult `json:"sub_order_d_o_list,omitempty" `

}

func (s *AlibabaWdkOldposOrderCreatePosOrderCreateResult) SetReturnMsg(v string) *AlibabaWdkOldposOrderCreatePosOrderCreateResult {
    s.ReturnMsg = &v
    return s
}
func (s *AlibabaWdkOldposOrderCreatePosOrderCreateResult) SetReturnCode(v string) *AlibabaWdkOldposOrderCreatePosOrderCreateResult {
    s.ReturnCode = &v
    return s
}
func (s *AlibabaWdkOldposOrderCreatePosOrderCreateResult) SetSuccess(v bool) *AlibabaWdkOldposOrderCreatePosOrderCreateResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkOldposOrderCreatePosOrderCreateResult) SetMainOrderId(v int64) *AlibabaWdkOldposOrderCreatePosOrderCreateResult {
    s.MainOrderId = &v
    return s
}
func (s *AlibabaWdkOldposOrderCreatePosOrderCreateResult) SetOutOrderId(v string) *AlibabaWdkOldposOrderCreatePosOrderCreateResult {
    s.OutOrderId = &v
    return s
}
func (s *AlibabaWdkOldposOrderCreatePosOrderCreateResult) SetSubOrderDOList(v []AlibabaWdkOldposOrderCreatePosSubOrderResult) *AlibabaWdkOldposOrderCreatePosOrderCreateResult {
    s.SubOrderDOList = &v
    return s
}
